package org.dromara.main.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.main.domain.bo.MainGoodsBo;
import org.dromara.main.domain.vo.MainGoodsVo;

import java.util.Collection;
import java.util.List;

public interface IMainGoodsService {

    MainGoodsVo queryById(Long id);

    TableDataInfo<MainGoodsVo> queryPageList(MainGoodsBo bo, PageQuery pageQuery);

    List<MainGoodsVo> queryList(MainGoodsBo bo);

    Boolean insertByBo(MainGoodsBo bo);

    Boolean updateByBo(MainGoodsBo bo);

    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
